Curriculum Vitae -NL- **`Roman Malyugin`[NAME]** -NL- Email: **`ron.zamkadny@gmail.com`[EMAILS_EMAIL]** -NL- Skype: ron_x__ -NL- **`Summary`[SUMMARY_HEADING]** -NL- I am software engineer with overall 12+ years of experience in IT industry and 10+ years in software -NL- development particularly. Participated in different projects with list of roles: -NL- • Senior Software Engineer -NL- • Stream Lead -NL- • Big Data Engineer -NL- • Software Architect -NL- • Project Manager -NL- • Sales -NL- Experienced in applying Agile/Scrum methodology. Also have knowledge of applying Lean methodology. -NL- Participated in open source projects and startups. I am a good team player and stand-alone team -NL- member also. -NL- My education can be represented by diplomas: -NL- • System Engineer - Belarusian Brest State Technical University, Brest, Belarus – Computer -NL- Science faculty -NL- • Economy Manager - Belarusian State Technical University, Brest, Belarus – Business -NL- Administration faculty Brest branch -NL- Places of work and project participation -NL- Project name: **`PUR-PDM`[PROJECT_TITLE]** -NL- Dec 2018 – Till Now -NL- **`Robert Bosch Poland`[PROJECT_COMPANY_NAME]** -NL- **`Project roles:`[OTHERS_HEADING]** -NL- • Software Engineer (Java) -NL- • IT Partner -NL- Role description: -NL- • As a part of the team of 4 developers inside the project team of 22 developers and 13 product -NL- owners I was responsible to implement software on high level standards using new frameworks -NL- and change old code to decrease technical debt. Daily routine on the project is represented as -NL- implementation new features, bug fixing, writing unit and integration tests and perform code -NL- reviews. Project flow was according to Agile methodology with 3 weeks sprint with demo time, retro, -NL- backlog refinement and daily standup meetings. Also I brought couple of initiatives with -NL- implementation of PoC: -NL- - BDD based on Cucumber framework -NL- - Docker container and Docker deployment usage with image preparation for teams -NL- • As IT partner I was responsible for initial onboarding of newcomers: preparing requests for -NL- accounts, equipment, etc -NL- Project description: -NL- Web application for sourcing (all steps), managing, providing auction market place of different parts with -NL- different characteristics and parameters of many different suppliers all over the world. -NL- Technology used: Java 8, Spring Framework 4 – Spring Data, MVC, Spring Boot, Maven 3, Oracle 11, -NL- plain SQL, Hibernate 3, H2 DB, Cucumber, Junit 4, Selenium, Git, Jenkins, Docker -NL- Technical Environment: Windows 10 / IntelliJ IDEA 19 -NL- Project name: **`KUGU Home`[PROJECT_TITLE]** -NL- Jun 2018 – Oct 2018 -NL- **`IT CONSULTING Roman Malyugin`[PROJECT_COMPANY_NAME]** -NL- **`Project roles:`[OTHERS_HEADING]** -NL- • Senior Software Engineer -NL- Role description: -NL- • As a part of a team of 3 developers in a startup “KUGU” I was responsible for implementation of -NL- OSGi bundles for OpenHAB platform for different devices (heat meters, gas meters, etc), common -NL- architecture of REST services inside bundles, exposing metrics to Prometheus -NL- Project description: -NL- KUGU is a startup which goal is to provide services to control and measure resources inside the building -NL- like electricity, gas, heat, etc. My part of the project was introduced as Open Source. -NL- Here are links to components and to the project itself: -NL- https://www.kugu-home.com/ -NL- https://github.com/KuguHome/openhab-binding-wmbus -NL- https://github.com/KuguHome/openhab-prometheus-metrics -NL- In general KUGU is based on several components: -NL- • OpenHAB servers with bundles for each of available detectors (gas, heat, etc) which is installed -NL- inside Raspberry Pi which is located in a single building -NL- • Central Component which gathers the data from all devices – all Raspberries-OpenHAB servers – -NL- aggregate data and store it as log -NL- • Data analytics component – this component is responsible for analysis of consuming resources per -NL- customer to allow in future provide a forecast or suggestion which way is better to consume to -NL- reduce consumption -NL- Technology used: Java 8, OSGi (Karaf + Eclipse Smart Home), Jersey REST web services, OpenHAB 2, -NL- Raspberry Pi 3, WMBus protocol, git, gitlab + gitlab CI, maven, gradle, Junit 4 -NL- Technical Environment: Windows 8 / Ubuntu 18.04, IntelliJ IDEA 18 / Eclipse 4, Grafana, Prometheus -NL- Project name: **`PANDORUM Smart Outsourcing and Recruiting`[PROJECT_TITLE]** -NL- Apr 2018 – Dec 2018 -NL- **`IT CONSULTING Roman Malyugin`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Software Engineer -NL- • Sales & Marketing Specialist -NL- • Manager -NL- Project description: -NL- PANDORUM is a project of 3 people who wanted to create their own outsourcing and/or recruitment -NL- company using technology for getting leads and to sell them outsourcing/outstaffing as a service or -NL- recruitment as a service. -NL- Role description: -NL- • As a chief and only one software engineer I was responsible for creating web-scrapper to collect -NL- contact data (urls, emails, phone numbers, etc), process and store; creating our web-page; -NL- automate sending emails with offerings; -NL- • As a one of three sales specialists I was responsible to contact companies’ executives (according -NL- to the data collected by web-scrapper) and sell our service. -NL- • As a manager I was responsible to control, track and manage the process of searching new -NL- candidates for positions which had been required for customers which were found by sales -NL- specialists -NL- Technology used: Python 3, git, HTML, JavaScript, Spring Boot, MongoDB -NL- Technical Environment: Ubuntu 18.04, IntelliJ IDEA 18, PyCharm -NL- Project name: **`UMS`[PROJECT_TITLE]** -NL- Sep 2017 – May 2018 -NL- **`IT CONSULTING Roman Malyugin`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Senior Software Engineer (Java) -NL- Role description: part of a team of 5 developers I was responsible for implementation of different backend -NL- features and fixing bugs. Project flow was according to Scrum methodology with 2 weeks sprint with demo -NL- time and daily standup meetings. -NL- Project description: -NL- The Application send messages and other information using different channels and geography settings. -NL- User can select type of message delivery, time, geo settings. Create scheduled messages etc. -NL- SAAS platform which provides alert solutions that enable both public and private entities to communicate -NL- with customers and citizens through various channels before, during and after of both unexpected and -NL- scheduled events. The system has many channels an alert could be sent through, including sms, email, -NL- voice, social networks and others. UI for this platform handles all these cases. It includes many complex -NL- modules, but the most existing one is alert composer module, which allows selecting recipients on the map -NL- by drawing an area on. Alerts are sent only to recipients located in drawn area. -NL- Solution for citizen communication and public warning – provides ability to compose critical alerts and -NL- deliver them to recipients via broad set of channels: voice/sms/cellbroadcast/lbas/etc. Rich settings and -NL- customizations are available during composing an alert, including map area settings, scheduling, i18n. -NL- System has built-in reporting and audit features, tracking responses from recipients and other alert -NL- statistics. -NL- https://www.umsalert.com/ -NL- Technology used: Java 8, Spring Boot, Apache Active MQ, Hibernate, JPA/EclipseLink, JOOQ, Swagger, -NL- gradle, JUnit, Ember.js, swagger, REST API -NL- Technical Environment: Windows 8 / Ubuntu 16.04 / MacOS X / IntelliJ IDEA 17 -NL- Project name: **`GFM HDP`[PROJECT_TITLE]** -NL- Jul 2017 – Dec 2017 -NL- **`Nordea (vendor EPAM Systems)`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Senior Software Engineer (Big Data) -NL- Role description: -NL- As a part of a team of 3 developers in Big Data department of Nordea, Helsinki I was responsible for -NL- implementation features for data ingestion into Hadoop, ETL and integration with fraud detection platform -NL- called “Falcon” and another systems using message queues. Project flow was according to Agile -NL- methodology with 2 weeks sprint with demo time, retro, backlog refinement and daily standup meetings. -NL- Technologies used: Java 7/8, Hadoop/HDFS, Cascading, HBase, Kafka, Hive, maven, gradle, Apache -NL- Spark -NL- Technical Environment: Windows 8 / CentOS 6 / IntelliJ IDEA 17 -NL- Project name: **`Guidewire Aviva ETL`[PROJECT_TITLE]** -NL- Jul 2016 – Apr 2017 -NL- **`Aviva (vendor EPAM Systems)`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Senior Software Engineer (Scala) -NL- • Senior Software Engineer (Big Data) -NL- Role description: -NL- As a part of a team of 2 developers in Aviva – Guidewire department – I was responsible for implementation -NL- features for data ingestion – ETL – from Oracle DB into Hadoop. Project flow was according to Agile -NL- methodology with 2 weeks sprint with demo time, retro, backlog refinement and daily standup meetings. -NL- Project description: -NL- Ingestion data from Oracle DB into HDFS with Hive processing -NL- ● Data ingested via Sqoop using Scala application deployed on Hadoop and scheduled via Oozie -NL- for everyday running -NL- ● Data contains XML and XMLs are processed using XPath -NL- ● Created new table in Hive based on new extracted values and other ingested columns -NL- BA fetch data directly via Hive or Impala -NL- Technologies used: -NL- Scala 2.10, Apache Spark 1.6, Oracle 11, Akka, Hadoop, HiveQL, XML/XPath, plain SQL, scoop, Oozie -NL- Technical Environment: Windows 8 / Ubuntu Linux 12 / IntelliJ IDEA 16 -NL- Project name: **`EPM-DHM`[PROJECT_TITLE]** -NL- Mar 2016 – Aug 2016 -NL- **`EPAM Systems`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Stream Lead -NL- • Senior Software Engineer (Java) -NL- Role description: -NL- • As a stream lead I lead a team of 4 backend and 2 frontend developers from different locations – -NL- Guadalajara, Cracow, Kiev, Minsk; took role as mentor for couple of team members which will take -NL- part of the project; provided reporting of the performance of dedicated team members to change -NL- their position to billable -NL- • In the same time as a senior developer I prepared architecture scaffolds, suggested new technical -NL- solutions, implemented features and fixed bugs -NL- Project description: -NL- Internal project of **`EPAM Systems`[PROJECT_COMPANY_NAME]** for -NL- • calculating metrics of performance, workload of all employees all over the company -NL- • analyzing statuses of all projects -NL- • predicting risks for delivery -NL- Technologies used: Java 8, OSGI; Apache Karaf; REST, Maven, Git, Node.js, AngularJS, Grunt, Karma, -NL- MongoDB -NL- Technical Environment: Windows 8 / Ubuntu Linux 12 / IntelliJ IDEA 16 -NL- Project name: **`EPM-GOOG`[PROJECT_TITLE]** -NL- Aug 2015 – Feb 2016 -NL- **`Google (vendor EPAM Systems)`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Senior Software Engineer (Java) -NL- Role description: -NL- • As a senior developer I implemented features, writing tests and fixed bugs, also performed build -NL- and deploy management -NL- Project description: -NL- • Several different projects for regular bug fixing -NL- • TODO application migrating from GWT into Polymer -NL- Technologies used: GWT/GAE, git/perforce, Polymer -NL- Technical Environment: Ubuntu Linux 12 / Eclipse 5.2 -NL- Project name: **`WorldTicket SMS Integration`[PROJECT_TITLE]** -NL- Aug 2015 – May 2016 -NL- **`IT CONSULTING Roman Malyugin`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Senior Software Engineer (Java) -NL- • Software Architect (Java) -NL- Role description: -NL- • As a senior developer I implemented features, writing tests and fixed bugs, also performed build -NL- and deploy management -NL- • As software architect I designed integration architecture between systems of ticket booking and -NL- prepared scaffold for this integration service -NL- Project description: -NL- • Implementation integration between two systems for aircraft tickets sales and booking from -NL- scratch -NL- Technologies used: Spring Boot Framework 4; Apache Camel 2.5; REST; XML/XSLT 2.0; hg; Jetty 9; -NL- Technical Environment: Ubuntu Linux 12, IntelliJ IDEA 14, Jenkins CI -NL- Project name: **`FabricWW KFC UK CMS`[PROJECT_TITLE]** -NL- Oct 2014 – Feb 2015 -NL- **`IT CONSULTING Roman Malyugin`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Senior Software Engineer (Java Full stack) -NL- Role description: -NL- • As a senior developer I implemented features, writing tests and fixed bugs, also performed build -NL- and deploy management -NL- Project description: -NL- • Creating CMS (content management system) for web-site portal for KFC (Kentucky Fried -NL- Chicken) -NL- Technologies used: Liferay Portlet API 6.2.1; Spring Framework 3.1; HTML4/CSS JavaScript/jQuery; -NL- Hibernate 4.1.7; Apache POI; git -NL- Technical Environment: Windows 8.1;MySQL 5.5;Tomcat 7.53 (Liferay); Liferay IDE (Eclipse based), -NL- Vagrant, IntelliJ IDEA 14 -NL- Project name: **`TDS`[PROJECT_TITLE]** -NL- Jan 2014 – Feb 2015 -NL- **`Deutsche Bank Moscow (vendor Luxoft)`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Software Engineer (Java) -NL- Role description: -NL- • As a senior developer I implemented features, writing tests and fixed bugs, also performed build -NL- and deploy management -NL- Project description: -NL- Client-Server Middleware. Integration between 2 trading systems (databases) to allow booking trades -NL- from one application in another -NL- Technologies used: Java SE 1.6/1.8; SVN/GIT; XML/JSON; Maven; Spring Framework 3.2; JUnit 4; -NL- Netty+Google Protobuf, Guava 18.0 -NL- Technical Environment: Windows 7, Oracle 10g, IntelliJ IDEA 13 -NL- Project name: **`Legalsounds`[PROJECT_TITLE]** -NL- Aug 2011 – Aug 2013 -NL- **`EffectiveSoft Ltd.`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Software Engineer (Java) -NL- Role description: -NL- • As a software engineer I was responsible for support of the music reseller site about 300 000 users -NL- total and about 10 000 users a day, features implementation, writing tests and fixed bugs, also -NL- performed build and deploy management -NL- Project description: -NL- Music store “**`Legalsounds`[PROJECT_TITLE]**” located in Russian Federation. Standalone application deployed on 20 servers -NL- with nginx load balancer. Support, maintenance, fixing bugs, new payment systems integration, new -NL- features implementation. -NL- Technologies used: Java SE 1.6; WONDER/EOF framework; SVN; Apache Lucene; Maven; Ant; -NL- Facebook API, WebObjects, JavaScript, HTML, CSS, XML, Apache Lucene -NL- Technical Environment: MacOS X 10.8, MySQL 5.1, WebObjects 5.4.3/Tomcat 7.0.36, Eclipse IDE 3.6 -NL- Project name: **`Cloudfinder`[PROJECT_TITLE]** -NL- Dec 2012 – Apr 2013 -NL- **`IT CONSULTING Roman Malyugin`[PROJECT_COMPANY_NAME]** -NL- Project roles: -NL- • Software Engineer (Java) -NL- Role description: -NL- • As a software engineer I was responsible for integration and backup accounts of Salesforce -NL- platform, also other features implementation, writing tests and fixed bugs, also performed build and -NL- deploy management -NL- Project description: -NL- System which allows users make a backup of accounts for Google, Salesforce, MS Office 365. Export of -NL- the backup was performed by the application with storing documents in MongoDB and indexing -NL- documents in Elastic Search. Backup stored in AWS – S3. -NL- Technologies used: Java SE 1.6; Java 2 EE; Spring Framework 3.0; Apache ActiveMQ; Jersey; Git; -NL- Salesforce API; JavaScript; MongoDB API; ElasticSearch; Amazon S3 API; Jenkins; Maven; Apache -NL- Lucene -NL- Technical Environment: Windows 7/Ubuntu 11.04, MongoDB, Jetty 6, IntelliJIDEA 11 -NL- No work activities and project participation -NL- **`BCX – Bosch Connected Experience Hackathon`[PROJECT_COMPANY_NAME]** -NL- Berlin, 13-15th May 2019 -NL- Project name: **`Lucid Cane`[PROJECT_TITLE]** -NL- Project roles: -NL- • Mobile Software Engineer (Android Java) -NL- • Web Software Engineer (Arduino C++) -NL- Role description: -NL- • As a mobile developer I implemented PoC android application which uses OpenStreetMap and -NL- construct the route from one place to another, writing tests and fixed bugs, also performed build -NL- and deploy management -NL- • As a web developer I implemented REST service inside Arduino Nano to provide GEO-coordinates -NL- from Arduino to any consumer – in particularly Android device -NL- Project description: -NL- **`Lucid Cane`[PROJECT_TITLE]** is a IoT device for blind people based on Arduino with Laser sensor for distance -NL- measurement, vibration motor and GPS sensor for positioning. You can use it to understand how far the -NL- obstacles are straight ahead – vibration will be high or low. -NL- Technologies used: Arduino C++, Java 8 (Android), REST, OpenStreetMap -NL- Technical Environment: Ubuntu Linux 18 / IntelliJ IDEA 18 / Arduino IDE -NL- **`Tolstoy Yandex Startup Camp`[PROJECT_COMPANY_NAME]** -NL- Moscow, 18-28th Feb 2015 -NL- Project name: **`SunSeat`[PROJECT_TITLE]** -NL- Project roles: -NL- • Founder -NL- • Web Software Engineer (Java) -NL- Role description: -NL- • As a founder I took part in Yandex marketing studies how to make your startup grow, how to -NL- measure and estimate everything what can be measured in your startup -NL- • As a web developer I implemented REST service to suggest which seat you should choose in the -NL- bus with long distance trip -NL- Project description: -NL- **`SunSeat`[PROJECT_TITLE]** is an application which suggest people which place to choose in the bus with long distance trip -NL- with factors had taken into consideration: amount of time sun will shine on you, probability of sun shining, -NL- approximate angle of shining. -NL- Technologies used: Java 8, REST, Spring Boot -NL- Technical Environment: Ubuntu Linux 12 / IntelliJ IDEA 12 -NL- **`Sberbank Hackathon`[PROJECT_COMPANY_NAME]** -NL- Moscow, 23-24th Jul 2014 -NL- Project name: **`2Smart`[PROJECT_TITLE]** -NL- Project roles: -NL- • Founder -NL- • Mobile Software Engineer (Android Java) -NL- • Web Software Engineer (Java) -NL- Role description: -NL- • As a mobile developer I implemented PoC android application which reads the QR-code and send -NL- the token from the content to the REST service -NL- • As a web developer I implemented REST service to accept QR-code token and communicate with -NL- bank API to perform money transfer -NL- Project description: -NL- **`2Smart`[PROJECT_TITLE]** is an application which allow people send money to each other by showing (emitting) the QR- -NL- code. You can emit QR-code from your smartphone, then another smartphone scans this QR-code, -NL- sends request to the service and money will be transferred. -NL- Technologies used: Java 8 (Enterprise and Android), REST, Spring Boot -NL- Technical Environment: Ubuntu Linux 12 / IntelliJ IDEA 12 -NL- 